#
# spec file for package python-xxhash
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xxhash
Version:        1.4.3
Release:        bp155.2.14
Summary:        Python binding for xxHash
License:        BSD-2-Clause
URL:            https://github.com/ifduyue/python-xxhash
Source:         https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  xxhash-devel
# SECTION test requirements
BuildRequires:  %{python_module nose > 1.3.0}
# /SECTION
%python_subpackages

%description
xxhash is a Python binding for the xxHash library.

%prep
%setup -q -n xxhash-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export LANG=en_US.UTF-8
export XXHASH_LINK_SO=1
%python_build

%install
export LANG=en_US.UTF-8
export XXHASH_LINK_SO=1
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export LANG=en_US.UTF-8
export XXHASH_LINK_SO=1
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Tue Feb  4 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.4.3
  * Upgrade xxHash to v0.7.2
  * Python 3.8 wheels
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.2:
  * Fixed: setup.py fails when reading README.rst and the default encoding is not UTF-8
* Sat Sep  7 2019 John Vandenberg <jayvdb@gmail.com>
- Link against system libxxhash
- Fix Leap 15 build errors
* Thu Aug 29 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 1.4.1
  * Upgrade xxHash to v0.7.1
  * Fixed: xxh3.h in missing from source tarball
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 1.3.0
  * Wheels are now built automatically
  * Split CFFI variant into a separate package
  * Add oneshot functions xxh{32,64}_{,int,hex}digest
  * Allow input larger than 2GB
  * Release the GIL on sufficiently large input
  * Drop support for Python 3.2
* Fri Nov 10 2017 alarrosa@suse.com
- Initial release of xxhash 1.0.1
